Skip to main content
GET
/
api
/
gen-ai
/
beta
/
endpoints
/
{endpointId}
/
versions
/
{versionNumber}
Get a Gen AI Endpoint Version
curl --request GET \
  --url https://api.example.com/api/gen-ai/beta/endpoints/{endpointId}/versions/{versionNumber} \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "configuration": {
    "maxNumberOfSequences": 256,
    "servedModelName": "my-model",
    "tensorParallelism": 1,
    "vllmArguments": "--max-model-length 4095 --gpu-memory-utilization 0.90"
  },
  "createdAt": "2022-03-12T02:13:44.467Z",
  "creator": {
    "id": "integration test",
    "name": "Full User Name"
  },
  "endpointId": "62313ce67a0af0281c01a6a5",
  "environment": {
    "id": "62313ce67a0af0281c01a6a5",
    "name": "My Environment",
    "revisionId": "62313ce67a0af0281c01a6a5"
  },
  "hardwareTier": {
    "dataPlaneId": "62313ce67a0af0281c01a6a5",
    "dataPlaneName": "My Data Plane",
    "id": "62313ce67a0af0281c01a6a5"
  },
  "modelSource": {
    "huggingFace": {
      "commit": "62313ce67a0af0281c01a6a5",
      "path": "my-model",
      "apiToken": "62313ce67a0af0281c01a6a5"
    },
    "registeredModel": {
      "modelName": "RandomForestRegression",
      "modelVersion": 1
    }
  },
  "number": 1,
  "description": "My Endpoint Version Description",
  "executionId": "62313ce67a0af0281c01a6a5",
  "label": 1
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

endpointId
string
required

The ID of the Gen AI Endpoint.

versionNumber
integer
required

The Number of the Gen AI Endpoint Version.

Response

The Gen AI Endpoint Version.

configuration
object
required
createdAt
string<date-time>
required

The time the endpoint was created

Example:

"2022-03-12T02:13:44.467Z"

creator
object
required
endpointId
string
required

The ID of the endpoint

Example:

"62313ce67a0af0281c01a6a5"

environment
object
required
hardwareTier
object
required
modelSource
object
required
modelType
enum<string>
required
Available options:
LLM,
Embedding,
OtherGenAI
number
integer
required

The version number of the endpoint

Example:

1

status
enum<string>
required
Available options:
Building,
BuildFailed,
Starting,
Running,
Stopping,
Stopped,
Failed,
Unknown
description
string

The description of the endpoint version

Example:

"My Endpoint Version Description"

executionId
string

The ID of the execution serving the endpoint, if present

Example:

"62313ce67a0af0281c01a6a5"

label
string

The label of the endpoint version

Example:

1